Scilab Function
Last update : 17/06/2004

pinv - pseudo-inverse

### Calling Sequence

  `pinv(A,[tol])`

### Parameters

- `A` : matrice réelle ou complexe
- `tol` : nombre réel

### Description

`X = pinv(A)` renvoie une matrice `X` de mêmes dimensions que `A'` telle que :

`A*X*A = A, X*A*X = X` avec `A*X` et `X*A` Hermitiennes.

Le calcul est basé sur une décomposition en valeurs singulières et les valeurs singulières plus petites qu'une tolérance donnée sont considérées comme nulles : pour cela utiliser la syntaxe `X=pinv(A,tol)`.

### Examples

        A=rand(5,2)*rand(2,4);
        norm(A*pinv(A)*A-A,1)

### See Also

`rank`, `svd`, `qr`,

### Used Function

La fonction `pinv` est basée sur la decomposition en valeurs singulières (fonction Scilab `svd`).